Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1519645 - gsteamer becomes noisy using Radeon HD7700/7800 HMDI/DisplayPort output
Summary: gsteamer becomes noisy using Radeon HD7700/7800 HMDI/DisplayPort output
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Fedora
Classification: Fedora
Component: gstreamer
Version: 28
Hardware: x86_64
OS: Linux
unspecified
high
Target Milestone: ---
Assignee: Benjamin Otte
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-12-01 06:56 UTC by GroovieMan
Modified: 2019-03-31 15:22 UTC (History)
12 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-03-31 15:22:37 UTC


Attachments (Terms of Use)

Description GroovieMan 2017-12-01 06:56:32 UTC
Description of problem:


Version-Release number of selected component (if applicable):
F26 (up to date) -- KDE/Plasma Desktop


How reproducible:
Select your sound output HDMI and start Amarok or any other musicplayer. The sound control (volume) reacts slow and slower and the output on the monitor gets more an more distorted.
Switching back to internal audio gives you a clear sound and the responsiveness of the volume control is back.

Steps to Reproduce:
1. select hdmi/dp as you output
2. start you music player
3. wait a minute, controls getting slower and more and more distortion comes out of you monitor speaker

Actual results:
output via HMDI/DP cannot be used ;-/

Expected results:
Same quality not distorted sound 

Additional info:

Comment 1 GroovieMan 2017-12-01 07:10:12 UTC
If found that:

[cgroove@suggs ~]$ ps xa | grep -P 'speech-dispatcher.*\.conf'
 5393 ?        Sl     0:00 /usr/lib64/speech-dispatcher-modules/sd_espeak /etc/speech-dispatcher/modules/espeak.conf
 5398 ?        Sl     0:00 /usr/lib64/speech-dispatcher-modules/sd_dummy /etc/speech-dispatcher/modules/dummy.conf
 5401 ?        Sl     0:00 /usr/lib64/speech-dispatcher-modules/sd_cicero /etc/speech-dispatcher/modules/cicero.conf
 5405 ?        Sl     0:00 /usr/lib64/speech-dispatcher-modules/sd_generic /etc/speech-dispatcher/modules/generic.conf
 6041 pts/2    S+     0:00 grep --color=auto -P speech-dispatcher.*\.conf

and 

[cgroove@suggs ~]$ killall speech-dispatcher

kills the distortion!


[cgroove@suggs ~]$ rpm -q -f /usr/lib64/speech-dispatcher-modules/sd_espeak
speech-dispatcher-espeak-0.8.8-1.fc26.x86_64

Hups whats this ?

Comment 2 Daniel Alley 2018-04-30 14:00:56 UTC
I have the same issue on Fedora 27 *and* 28, except it happens with normal audio jack output.  No need for HDMI / DisplayPort audio.

Killing the speech-dispatcher processes immediately clears up the (very severe in my case) audio distortion, and disabling auto-spawn in /etc/speech-dispatcher/speechd.conf fixes it permanently.


card 2: Generic [HD-Audio Generic], device 0: ALC1220 Analog [ALC1220 Analog]
  Subdevices: 1/1
  Subdevice #0: subdevice #0
card 2: Generic [HD-Audio Generic], device 1: ALC1220 Digital [ALC1220 Digital]
  Subdevices: 1/1
  Subdevice #0: subdevice #0

Comment 3 Fedora End Of Life 2018-05-03 07:56:25 UTC
This message is a reminder that Fedora 26 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 26. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '26'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 26 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

Comment 4 Daniel Alley 2018-05-09 17:57:47 UTC
I'm not familiar enough with the audio architecture of Fedora to understand whether the issue is truly speech dispatcher or something else, so if this issue should be closed and a new one opened, (or just rename this one), that is fine.

Comment 5 GroovieMan 2018-05-09 21:22:35 UTC
Sad to say that the problem still occur in F27, possibly also in F28 (gonna check it)

Comment 6 GroovieMan 2019-03-31 15:22:37 UTC
disappeard


Note You need to log in before you can comment on or make changes to this bug.